Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0032219
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] A. Platformminoralways2016-02-12 12:192016-02-22 11:11
ReporteralostaleView Statuspublic 
Assigned Toplatform 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionc399731dba21
ProjectionnoneETAnoneTarget Version3.0PR16Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression levelProduction - QA Approved
Regression date2015-08-05
Regression introduced in release3.0PR15Q4
Regression introduced by commithttp://code.openbravo.com/erp/devel/pi/rev/1f572104e426366ac67e9efc7bd74040f8142ac3 [^]
Triggers an Emergency PackNo
Summary

0032219: Payment In > Order navigation fails

DescriptionWhen trying to navigate from Payment In > Lines > Order Payment In Plan to Sales Order window, an error is thrown and the order is not opened.

Looking at the request to ReferencedLink, value for inpEntityName is now FIN_Payment_Schedule which is the base entity of the view linked by the field. Before it was FIN_Payment_Sched_Ord_V.
Steps To Reproduce1. Open Payment In window
2. Select any record
3. Open Lines tab
4. Click on the link in Order Payment In Plan field
  * Sales Invoice window is opened -> it should open Sales Order
  * This error is shown: Argument is not a BaseOBObject and not a HibernateProxy it is NULL
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0032218 closedAtulOpenbravo Payment In > Order navigation fails 

-  Notes
(0084390)
hgbot (developer)
2016-02-22 11:10

Repository: erp/backports/3.0PR16Q1
Changeset: c399731dba21916cd38a42d1abee294939bca9c1
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Thu Feb 18 17:47:53 2016 +0530
URL: http://code.openbravo.com/erp/backports/3.0PR16Q1/rev/c399731dba21916cd38a42d1abee294939bca9c1 [^]

Fixes Issue 32219:Payment In & Out Window Lines Tab Order Payment Plan Field
navigation fails

Direct Navigation Rule applied to
- Window:Payment In, Tab:Lines, Field:Order Payment Plan navigate to
  Sales Order | Payment Plan Tab
- Window:Payment Out, Tab:Lines, Field:Order Payment Plan navigate to
  Purchase Order | Payment Plan Tab

---
M src-db/database/sourcedata/AD_TABLE_NAVIGATION.xml
---
(0084393)
hgbot (developer)
2016-02-22 11:10

Repository: erp/backports/3.0PR16Q1
Changeset: 86ca4416cebe8ab2c294fc6fbc277265e1a612fa
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Mon Feb 22 10:43:16 2016 +0100
URL: http://code.openbravo.com/erp/backports/3.0PR16Q1/rev/86ca4416cebe8ab2c294fc6fbc277265e1a612fa [^]

Related to issue 32219: fixed db consistency

---
M src-db/database/sourcedata/AD_TABLE_NAVIGATION.xml
---
(0084396)
vmromanos (developer)
2016-02-22 11:11

Code review + testing OK

- Issue History
Date Modified Username Field Change
2016-02-12 12:22 alostale Type defect => backport
2016-02-12 12:22 alostale Target Version => 3.0PR16Q1
2016-02-22 11:10 hgbot Checkin
2016-02-22 11:10 hgbot Note Added: 0084390
2016-02-22 11:10 hgbot Status scheduled => resolved
2016-02-22 11:10 hgbot Resolution open => fixed
2016-02-22 11:10 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR16Q1/rev/c399731dba21916cd38a42d1abee294939bca9c1 [^]
2016-02-22 11:10 hgbot Checkin
2016-02-22 11:10 hgbot Note Added: 0084393
2016-02-22 11:11 vmromanos Review Assigned To => vmromanos
2016-02-22 11:11 vmromanos Note Added: 0084396
2016-02-22 11:11 vmromanos Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker